### Class

# Foundry GitBlame

#### Description [src]

    final class Foundry.GitBlame : Foundry.VcsBlame
    {
      /* No available fields */
    }

Git implementation of blame information for version control files.

FoundryGitBlame provides Git-specific functionality for retrieving and managing blame information for files in version control. It handles blame data retrieval, caching, and provides efficient access to authorship and modification information for code analysis and display.

#### Ancestors

- FoundryVcsBlame
- GObject

#### Instance methods

###### foundry_git_blame_dup_commit_id

Gets the commit ID string for the given line number from the blame information.

since: 1.1

##### Methods inherited from FoundryVcsBlame (4)

###### foundry_vcs_blame_dup_file

Gets the underlying file being blamed.

###### foundry_vcs_blame_get_n_lines

Gets the number of lines contained in the blame.

###### foundry_vcs_blame_query_line

Queries the signature of the commit that modified `line`.

###### foundry_vcs_blame_update

Update the blame using the contents in `bytes`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryVcsBlame (1)

###### Foundry.VcsBlame:file

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitBlameClass {
      FoundryVcsBlameClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryVcsBlameClass`

  No description available.